> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ringbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Podcast Visual

> Generate a visual waveform video from an audio file

<RequestExample>
  ```json Example Request theme={null}
  {
    "input": "https://example.com/episode.mp3",
    "background_color": "#1a1a2e",
    "wave_color": "#e94560"
  }
  ```

  ```bash File Upload theme={null}
  curl -X POST https://api.ringbee.dev/v1/pipeline/podcast-visual \
    -H "X-API-Key: YOUR_API_KEY" \
    -F "file=@audio.mp3" \
    -F "background_color=#1a1a2e" \
    -F "wave_color=#e94560"
  ```
</RequestExample>

| Param             | Type   | Description                  |
| ----------------- | ------ | ---------------------------- |
| background\_color | string | Background color as hex code |
| wave\_color       | string | Waveform color as hex code   |


## OpenAPI

````yaml POST /v1/pipeline/podcast-visual
openapi: 3.0.3
info:
  title: MediAPI
  description: >-
    Media processing API — video, audio, image, and document transformations via
    simple REST calls.
  version: 1.0.0
servers:
  - url: https://api.ringbee.dev
    description: Production
security:
  - apiKey: []
paths:
  /v1/pipeline/podcast-visual:
    post:
      tags:
        - Pipeline
      summary: Podcast Visual
      description: Generate a visual waveform video from an audio file
      operationId: pipelinePodcastVisual
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - input
              properties:
                input:
                  type: string
                  description: Input file URL
                background_color:
                  type: string
                  description: Background color as hex code
                wave_color:
                  type: string
                  description: Waveform color as hex code
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
                  description: Upload file directly
                background_color:
                  type: string
                  description: Background color as hex code
                wave_color:
                  type: string
                  description: Waveform color as hex code
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
      responses:
        '202':
          description: Job accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Usage limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobResponse:
      type: object
      properties:
        id:
          type: string
          example: job_abc123
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
            - cancelled
          example: pending
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````